AOWP_AspectInstanceManager (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.AOWP_AspectInstanceManager
/aspect/AspectInstanceManager.class.php at line 14

# Class AOWP_AspectInstanceManager

    AOWP_AspectInstanceManager

public class AOWP_AspectInstanceManager

Enter description here...

Uses:
  AOWP_AspectManager

Field Summary
final str | AOWP_SESSION_ID
final int | AOWP_SESSION_ID_EXPIRE
final str | AOWP_SESSION_INSTANCE_LIST_NAME
final str | APPLICATION_SCOPE_INSTANCE_SERIALIZATION_FOLDER
final str | DATA_FOLDER_NAME
final int | LOCK_FILE_CHECK_INTERVAL
final str | SESSION_SCOPE_INSTANCE_SAVE_FOLDER
private static mixed | $_REQUEST_SCOPE_INSTANCE_ARRAY
private static mixed | $_SESSION_INSTANCE_CACHE_ARRAY

Method Summary
private static void | _checkSessionScopeInstanceAvailable(mixed aspectClassName)
private static void | _getAllSessionScopeInstanceArray()
private static void | _getApplicationScopeInstance(mixed aspectClassName)
private static void | _getRequestScopeInstance(mixed aspectClassName)
private static void | _getSerializedApplicationScopeInstancePath(mixed aspectClassName)
private static void | _getSessionScopeInstance(mixed aspectClassName)
private static void | _getSessionScopeInstanceCache(mixed aspectName)
private static void | _getSessionScopeInstanceSaveFolder()
private static void | _releaseApplicationScopeInstance(mixed aspectInstance)
private static void | _releaseSessionScopeInstance(mixed aspectInstance)
private static void | _setSessionID(mixed sessionID)
private static void | getDataFolderPath()
static void | getInstance(mixed aspectClassName)
static void | getSessionID()
static void | releaseInstance(mixed aspectInstance)
static void | setSessionScopeInstanceSessionTimeOut(mixed aspect)
static void | updateSessionScopeTimeOut()

## Field Detail

/aspect/AspectInstanceManager.class.php at line 20

### AOWP_SESSION_ID

`public final str AOWP_SESSION_ID = 'AOWP_SESSION'`

/aspect/AspectInstanceManager.class.php at line 21

### AOWP_SESSION_ID_EXPIRE

`public final int AOWP_SESSION_ID_EXPIRE = 2592000`

/aspect/AspectInstanceManager.class.php at line 22

### AOWP_SESSION_INSTANCE_LIST_NAME

`public final str AOWP_SESSION_INSTANCE_LIST_NAME = 'instance_list.txt'`

/aspect/AspectInstanceManager.class.php at line 17

### APPLICATION_SCOPE_INSTANCE_SERIALIZATION_FOLDER

`public final str APPLICATION_SCOPE_INSTANCE_SERIALIZATION_FOLDER = 'application'`

/aspect/AspectInstanceManager.class.php at line 16

### DATA_FOLDER_NAME

`public final str DATA_FOLDER_NAME = 'AOWP_AspectInstanceManager'`

/aspect/AspectInstanceManager.class.php at line 18

### LOCK_FILE_CHECK_INTERVAL

`public final int LOCK_FILE_CHECK_INTERVAL = 100000`

/aspect/AspectInstanceManager.class.php at line 19

### SESSION_SCOPE_INSTANCE_SAVE_FOLDER

`public final str SESSION_SCOPE_INSTANCE_SAVE_FOLDER = 'session'`

/aspect/AspectInstanceManager.class.php at line 24

### _REQUEST_SCOPE_INSTANCE_ARRAY

`private static mixed $_REQUEST_SCOPE_INSTANCE_ARRAY = array()`

/aspect/AspectInstanceManager.class.php at line 25

### _SESSION_INSTANCE_CACHE_ARRAY

`private static mixed $_SESSION_INSTANCE_CACHE_ARRAY = array()`

## Method Detail

/aspect/AspectInstanceManager.class.php at line 117

### _checkSessionScopeInstanceAvailable

`private static void _checkSessionScopeInstanceAvailable(mixed aspectClassName)`

/aspect/AspectInstanceManager.class.php at line 162

### _getAllSessionScopeInstanceArray

`private static void _getAllSessionScopeInstanceArray()`

/aspect/AspectInstanceManager.class.php at line 72

### _getApplicationScopeInstance

`private static void _getApplicationScopeInstance(mixed aspectClassName)`

/aspect/AspectInstanceManager.class.php at line 178

### _getRequestScopeInstance

`private static void _getRequestScopeInstance(mixed aspectClassName)`

/aspect/AspectInstanceManager.class.php at line 65

### _getSerializedApplicationScopeInstancePath

`private static void _getSerializedApplicationScopeInstancePath(mixed aspectClassName)`

/aspect/AspectInstanceManager.class.php at line 139

### _getSessionScopeInstance

`private static void _getSessionScopeInstance(mixed aspectClassName)`

/aspect/AspectInstanceManager.class.php at line 154

### _getSessionScopeInstanceCache

`private static void _getSessionScopeInstanceCache(mixed aspectName)`

/aspect/AspectInstanceManager.class.php at line 124

### _getSessionScopeInstanceSaveFolder

`private static void _getSessionScopeInstanceSaveFolder()`

/aspect/AspectInstanceManager.class.php at line 85

### _releaseApplicationScopeInstance

`private static void _releaseApplicationScopeInstance(mixed aspectInstance)`

/aspect/AspectInstanceManager.class.php at line 134

### _releaseSessionScopeInstance

`private static void _releaseSessionScopeInstance(mixed aspectInstance)`

/aspect/AspectInstanceManager.class.php at line 110

### _setSessionID

`private static void _setSessionID(mixed sessionID)`

/aspect/AspectInstanceManager.class.php at line 27

### getDataFolderPath

`private static void getDataFolderPath()`

/aspect/AspectInstanceManager.class.php at line 31

### getInstance

`public static void getInstance(mixed aspectClassName)`

/aspect/AspectInstanceManager.class.php at line 101

### getSessionID

`public static void getSessionID()`

/aspect/AspectInstanceManager.class.php at line 50

### releaseInstance

`public static void releaseInstance(mixed aspectInstance)`

/aspect/AspectInstanceManager.class.php at line 120

### setSessionScopeInstanceSessionTimeOut

`public static void setSessionScopeInstanceSessionTimeOut(mixed aspect)`

/aspect/AspectInstanceManager.class.php at line 171

### updateSessionScopeTimeOut

`public static void updateSessionScopeTimeOut()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr